From f314d87bedfd905aafbacdcade9dabd2f6ee384b Mon Sep 17 00:00:00 2001
From: Yugo Nagata <nagata@sraoss.co.jp>
Date: Fri, 26 Jul 2024 12:02:56 +0900
Subject: [PATCH v2 2/3] Remove ParamListInfo argument from RefreshMatViewByOid
 and ExecRefreshMatView

This argument is not used at all, so we can remove it.
---
 src/backend/commands/matview.c | 7 +++----
 src/backend/tcop/utility.c     | 2 +-
 src/include/commands/matview.h | 5 ++---
 3 files changed, 6 insertions(+), 8 deletions(-)

diff --git a/src/backend/commands/matview.c b/src/backend/commands/matview.c
index 6bb64be274..8644ad695c 100644
--- a/src/backend/commands/matview.c
+++ b/src/backend/commands/matview.c
@@ -119,7 +119,7 @@ SetMatViewPopulatedState(Relation relation, bool newstate)
  */
 ObjectAddress
 ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
-				   ParamListInfo params, QueryCompletion *qc)
+				   QueryCompletion *qc)
 {
 	Oid			matviewOid;
 	LOCKMODE	lockmode;
@@ -136,7 +136,7 @@ ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
 										  NULL);
 
 	return RefreshMatViewByOid(matviewOid, stmt->skipData, stmt->concurrent,
-							   queryString, params, qc);
+							   queryString, qc);
 }
 
 /*
@@ -160,8 +160,7 @@ ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
  */
 ObjectAddress
 RefreshMatViewByOid(Oid matviewOid, bool skipData, bool concurrent,
-					const char *queryString, ParamListInfo params,
-					QueryCompletion *qc)
+					const char *queryString, QueryCompletion *qc)
 {
 	Relation	matviewRel;
 	RewriteRule *rule;
diff --git a/src/backend/tcop/utility.c b/src/backend/tcop/utility.c
index fa66b8017e..702a6c3a0b 100644
--- a/src/backend/tcop/utility.c
+++ b/src/backend/tcop/utility.c
@@ -1688,7 +1688,7 @@ ProcessUtilitySlow(ParseState *pstate,
 				PG_TRY(2);
 				{
 					address = ExecRefreshMatView((RefreshMatViewStmt *) parsetree,
-												 queryString, params, qc);
+												 queryString, qc);
 				}
 				PG_FINALLY(2);
 				{
diff --git a/src/include/commands/matview.h b/src/include/commands/matview.h
index a226b2e68f..7916df3039 100644
--- a/src/include/commands/matview.h
+++ b/src/include/commands/matview.h
@@ -24,10 +24,9 @@
 extern void SetMatViewPopulatedState(Relation relation, bool newstate);
 
 extern ObjectAddress ExecRefreshMatView(RefreshMatViewStmt *stmt, const char *queryString,
-										ParamListInfo params, QueryCompletion *qc);
+										QueryCompletion *qc);
 extern ObjectAddress RefreshMatViewByOid(Oid matviewOid, bool skipData, bool concurrent,
-										 const char *queryString, ParamListInfo params,
-										 QueryCompletion *qc);
+										 const char *queryString, QueryCompletion *qc);
 
 extern DestReceiver *CreateTransientRelDestReceiver(Oid transientoid);
 
-- 
2.34.1

